'how to get text object in model space ?
<p> Function TextString(ByVal ThisDrawing As AcadDocument, ByVal acadapp As AcadApplication)<br/> Dim textObj As AcadText<br/> Dim text As String<br/> Dim insertionPoint(0 To 2) As Double<br/> Dim height As Double<br/> ' Define the text object<br/> text = "jjjjjjj"<br/> insertionPoint(0) = 0.0# : insertionPoint(1) = 0.0# : insertionPoint(2) = 0.0#<br/> height = 5000<br/> ' Create the text object in model space<br/> textObj = ThisDrawing.ModelSpace.AddText(text, insertionPoint, height)<br/> acadapp.ZoomAll()</p><p> ' Return the current text string for the object<br/> text = textObj.TextString<br/> MsgBox("The TextString property equals: " & text, vbInformation, "TextString 示例")</p><p></p><p> End Function</p><p>这段代码是创建text object 在model space厘面 ,那么如何取得呢?帮助里面说访问路径是<table cellspacing="1" cellpadding="4" border="0"><tbody><tr valign="top"><th align="left"><p class="Bullet2-end">访问途径:</p></th><td><p class="Bullet2-end">ModelSpace.Item</p></td></tr></tbody></table> 能不能给个范例 具体是如何访问的?</p><p></p>
页:
[1]